import * as types from './../types';
export declare function ensurePercent(value: string | number): number;
export declare function formatPercent(value: number): string;
export declare type Dictionary = {
    [key: string]: any;
};
/**
 * Before we send styles to freeStyle we should convert any CSSType<T> to string
 * Call this whenever something might be a CSSType.
 */
export declare function ensureString(x: any): string;
/**
 * We need to do the following to *our* objects before passing to freestyle:
 * - Convert any CSSType to their string value
 * - For any `$nest` directive move up to FreeStyle style nesting
 * - For any `$unique` directive map to FreeStyle Unique
 * - For any `$debugName` directive return the debug name
 */
export declare function ensureStringObj(object: types.NestedCSSProperties): {
    result: any;
    debugName: string;
};
export declare function parseCSSFunction(stringValue: string): string[] | undefined;
